<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_020048b1b65" . "987544bdb5f9" . "afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3" . "Qgc3VwcG9ydGVk"), "_9a1d01ea5" . "6101db475f" . "6e198f06a4" . "f9d" => base64_decode("c3Fsc3J" . "2X2ZyZW" . "Vfc3Rtd" . "A=="), "_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14" => base64_decode("aXN" . "fbn" . "Vsb" . "A=="), "_78aadcc2e8dfecef37e1fe" . "6d5ffbcdbb" => base64_decode("c3Fsc3J2X2ZldGNoX2Fyc" . "mF5"), "_d64c6254864cf96656eabce" . "a4c48fe51" => base64_decode("c3Fsc" . "3J2X2" . "hhc19" . "yb3dz"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_78aadcc2e8d" . "fecef37e1fe6" . "d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_78aadcc2e8dfe" . "cef37e1fe6d5ff" . "bcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_020048b1b65987544bdb5f9afa692" . "a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a591754a8ddcdbda9c80f1" . "db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d64c6254864cf" . "96656eabcea4c4" . "8fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_9a1d01e" . "a56101db" . "475f6e19" . "8f06a4f9" . "d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}